For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • POSTEndpoint to batch create external files without uploading.
      • POSTCreates a new company file for the company with the specified id..
      • DELDeletes the files of the specified company.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the company with the specified id.
      • PUTUpdates the metadata of the company file with the specified id.
      • DELDeletes the company file with the specified id.
      • POSTChanges the company this file belongs to.
      • POSTCopies the file to a new company.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified company file.
      • POSTUploads a new version of the company file with the specified id.
      • GETReturns the company file version with the specified id.
      • GETReturns the content of the company file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompany Files

Returns the company file version with the specified id.

GET
https://api.awork.com/api/v1/companies/:companyId/files/:fileId/versions/:versionId
GET
/api/v1/companies/:companyId/files/:fileId/versions/:versionId
$curl https://api.awork.com/api/v1/companies/companyId/files/fileId/versions/versionId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "fileInfoId": "123e4567-e89b-12d3-a456-426614174000",
4 "version": 13,
5 "size": 13590,
6 "width": 1920,
7 "height": 1200,
8 "createdOn": "2024-01-15T09:30:00Z",
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "updatedOn": "2024-01-15T09:30:00Z",
11 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
12}
Returns the company file version with the specified id. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the content of the company file version with the specified id.

Next
Built with

Returns the company file version with the specified id.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company.
fileIdstringRequiredformat: "uuid"
The id of the file.
versionIdstringRequiredformat: "uuid"
The id of the file version.

Response

OK
idstringformat: "uuid"
The id of the file version.
fileInfoIdstringformat: "uuid"
The id of the file this version belongs to.
versiondouble
The version of the file.
sizelong
The size of the file, in bytes.
widthdouble or null
The width if this is an image file.
heightdouble or null
The height if this is an image file.
createdOnstringformat: "date-time"
The date this file version was created.
createdBystringformat: "uuid"
The id of the user who created this file version.
updatedOnstringformat: "date-time"
The date this file version was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this file version.